This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 906746 - FTBFS on s390(x) - failing test
FTBFS on s390(x) - failing test
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mariadb (Show other bugs)
18
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Honza Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2013-02-01 06:11 EST by Dan Horák
Modified: 2013-08-23 09:39 EDT (History)
1 user (show)

See Also:
Fixed In Version: mariadb-5.5.29-4.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-23 09:39:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2013-02-01 06:11:54 EST
There are failing tests during build of MariaDB on s390(x)

from mariadb-5.5.28a-7.fc18 logs (s390)
...
The servers were restarted 650 times
Spent 3831.867 of 5980 seconds executing testcases
Completed: Failed 3/1915 tests, 99.84% were successful.
Failing test(s): main.query_cache main.gis-precise main.index_merge_myisam
The log files in var/log may give you some hint of what went wrong.
If you want to report this error, please read first the documentation
at http://dev.mysql.com/doc/mysql/en/mysql-test-suite.html
845 tests were skipped, 130 by the test itself.
mysql-test-run: *** ERROR: there were failing test cases

from mariadb-5.5.28a-7.fc17 logs (s390x)
...
The servers were restarted 665 times
Spent 3291.982 of 5507 seconds executing testcases
Completed: Failed 1/2651 tests, 99.96% were successful.
Failing test(s): main.gis-precise
The log files in var/log may give you some hint of what went wrong.
If you want to report this error, please read first the documentation
at http://dev.mysql.com/doc/mysql/en/mysql-test-suite.html
832 tests were skipped, 147 by the test itself.
mysql-test-run: *** ERROR: there were failing test cases


Version-Release number of selected component (if applicable):
mariadb-5.5.28a-7

http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=923162
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=923587

If I see correctly in the logs, then s390 has 3 failing test, s390x has only one, and it doesn't depend on Fedora version.
Comment 1 Honza Horak 2013-02-08 10:08:30 EST
Some of the tests also fail on ppc (with similar difference between 32 and 64 arches): bug #906367.
Comment 2 Honza Horak 2013-02-12 13:26:10 EST
After contacting upstream some tests have been fixed, but we have to just skip the rest of them. Changes should be in git and I'm waiting for the scratch build keeping fingers crossed:
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=929462

Note You need to log in before you can comment on or make changes to this bug.